%define name gabber
%define version 0.7.0
%define release 3mdk

Summary: Gabber is a GNOME client for an Open Source instant messaging system named Jabber.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}_menuentry
Source2: %{name}_icons.tar.bz2
Copyright: GPL
Group: Networking/Chat
Url: http://gabber.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Gabber is a GNOME client for an Open Source instant messaging system named Jabber.
Jabber is an Open Source distributed instant messaging system. It does not rely
on a single server, and the protocol is well documented. Jabber allows communication 
with many different instant messaging systems, including ICQ and AIM. There are
several different Jabber clients already, but no other GNOME clients as of this writing. 
Hopefully Gabber will serve the purpose of being a robust GNOME Jabber client well.

%prep

%setup -q
cd $RPM_BUILD_DIR/%{name}-%{version}/
tar xfy %{SOURCE2} 

%build
./configure --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/lib --localstatedir=/var/state --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu entry
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 

%postun
%{clean_menus}  

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ABOUT-NLS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/*
%{_datadir}/%{name}/*

/usr/lib/menu/*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm


%changelog
* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-3mdk
- Menu title should begin with Capital letter 

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-2mdk
- Rebuild for next release

* Thu Aug  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-1mdk
- First mdk release
